neobundle を導入したい

181 views
Skip to first unread message

tora

unread,
May 29, 2015, 11:06:32 AM5/29/15
to vim...@googlegroups.com
vim74(kaoriya版)を使わせていただいています。

入力を少しでも楽にしたいと考え、neocomplete を使いたいのですが、
その前に、neobundle なるものを使えるように、しなければならないようです。
多くの人のneobudle の設定を参考に試行錯誤のうちに、
次のようなメッセージが出るようになりました。

vim を起動すると
コマンドラインに Not installed bundle:  ['neobundle.vim']  と表示され、


"Install budles now? "
  yes    no
とのダイアログが出て、yes のほうをクリックすると

[neobundle/install] Installed/Updated bundles:
no new bundles installed
続けるにはENTERを押すかコマンドを入力してください

とコマンドラインにひょうじされ、さらにENTERを押すと、

[neobundle/install] Error installing bundles:
neobundle.vim
続けるにはENTERを押すかコマンドを入力してください

とコマンドラインに表示されます。

なにがエラーの原因なのかまったくわからないので、困っています。

なお、_vimrc に記入したneobundle 関係の設定は添付ファイルのとおりです。
また、Githubは導入が終わっています。

_vimrc.txt

Kenichi Ito

unread,
May 29, 2015, 1:10:30 PM5/29/15
to vim...@googlegroups.com
neobundle自体をneobundleで管理させているので、
neobundle本体をbundleファイル以下に配置し、
_vimrcの以下の行を
set runtimepath+=D:\MydownloadProgram\Vim\vimfiles\neobundle.vim
下記のように書き換えれば良いと思われます。
set runtimepath+=D:\MydownloadProgram\Vim\vimfiles\bundle\neobundle.vim

参照: https://github.com/Shougo/neobundle.vim#if-you-want-to-install-manually-or-you-are-using-windows

tora

unread,
May 30, 2015, 11:19:33 PM5/30/15
to vim...@googlegroups.com
早速のご応答、ありがとうございます。

ご指摘のとおりでした。
ローカルリポジトリの位置の設定がおかしかったためらしく、
git clone をやりなおしたら、エラーはでなくなりました。
また、:scriptnames でみると、neobundle.vim がインストールされていました。

ところで、次の段階で、neocomplete.vim, neosnipet.vim, neosnipet-snippet.vim
などを入れようとすると、また、同じようなエラーが出ます。

先の添付ファイルを修正して、neobundle.vim ではエラーがでなくなった _vimrc に
Neobundle 'Shougo/neocomplete.vim'  という一文を追加しただけですが。
[neobundle/install] Error installing bundles:
neocomplete.vim

となります。


Kenichi Ito

unread,
May 31, 2015, 1:52:47 AM5/31/15
to vim...@googlegroups.com
gitにパスは通っているでしょうか?

参考: Windows 環境変数 Path の設定方法
         http://next.matrix.jp/config-path-win7.html

tora

unread,
Jun 2, 2015, 10:45:16 AM6/2/15
to vim...@googlegroups.com
この場合のパスは runtimepath のことでしょうか。
runtimepath は_vimrc の neobundle.vim の設定部にて記述してあります。
また、:set runtimepath でみると、指定した場所の記述があります。
(neobundle 関係の設定は添付の neobundle_vimrc.txt です。)

ところで、エラーを無視してvim を進行させ、コマンドラインから
 :NeoBundleInstall と入力した後に、 :NeoBundleList と
入力すると、インストールしたいプラグイン名が表示されます。
これは、neobundle からインストールが成功したことなのでしょうか?


>2015年5月31日日曜日 14時52分47秒 UTC+9 Kenichi Ito:
neobundle_vimrc.txt

Kenichi Ito

unread,
Jun 2, 2015, 10:57:29 AM6/2/15
to vim...@googlegroups.com
いえ、runtimepathのことではなくWindowsの環境変数 Path を指しています。

エラーが出ているようなので、おそらくプラグインのインストールは出来ていないと思われます。

Kenichi Ito

unread,
Jun 2, 2015, 11:39:06 AM6/2/15
to vim...@googlegroups.com
>また、Githubは導入が終わっています。
とのことですが、クライアントは何を使っていますか?

というより、Git for Windows (msysgit) はインストールしていますか?

参考: https://git-scm.com/
         https://msysgit.github.io/

tora

unread,
Jun 2, 2015, 9:38:13 PM6/2/15
to vim...@googlegroups.com
path はruntimepath ではないとすると、設定していないと思います。
どのディレクトリを path に追加するのでしょうか。
一般的な環境変数の設定などのやり方はわかっているつもりです。
    これが原因かもしれません。

はい、Git for Windows(msysgit) はインストールしてあります。
また、vim とは関係なく、github を SourceTree から clone, push が
できています。


>2015年6月3日水曜日 0時39分06秒 UTC+9 Kenichi Ito:

Hiroki Umezaki

unread,
Jun 2, 2015, 9:50:38 PM6/2/15
to vim...@googlegroups.com
> はい、Git for Windows(msysgit) はインストールしてあります。
cmd.exe を起動して git -v でGit のバージョン表示はされますでしょうか。
されない場合は PATH に msysgit の bin ディレクトリを追加してください。

2015年6月3日 10:38 tora <horinom...@gmail.com>:

--
このメールは Google グループのグループ「vim_jp」に登録しているユーザーに送られています。
このグループから退会し、グループからのメールの配信を停止するには vim_jp+un...@googlegroups.com にメールを送信してください。
このグループに投稿するには vim...@googlegroups.com にメールを送信してください。
http://groups.google.com/group/vim_jp からこのグループにアクセスしてください。
その他のオプションについては https://groups.google.com/d/optout にアクセスしてください。

tora

unread,
Jun 3, 2015, 7:51:53 AM6/3/15
to vim...@googlegroups.com
dos プロンプトを開き、git のバージョンを表示させました。

c:\Users\tora> git --version
git version 1.9.5.msysgit.1

と表示されます。
私のPCでは、
c:\Users\tora\AppData\Local\Programs\Git\bin というディレクトリはありますが、
その中に msysgit というファイルはありません。git.exe はあります。

dos プロンプト内で、path と入力すると
PATH=C:\ProgramData\  ・・・・・・ とあり、一番最後に
C:|Users\tora\A@@Data\Local\Programs\Git\cmd とあります。
このcmd というディレクトリ内にも msysgit はありません。あるのは git.exe と
gitk.cmd と start-ssh-agnt.cmd だけです。
git のインストールをやり直したほうがよいのでしょうか。


>2015年6月3日水曜日 10時50分38秒 UTC+9 Hiroki Umezaki:

Kenichi Ito

unread,
Jun 3, 2015, 8:04:31 AM6/3/15
to vim...@googlegroups.com
gitのインストール&パスは通っているようですね。


>ところで、エラーを無視してvim を進行させ、コマンドラインから
> :NeoBundleInstall と入力した後に、 :NeoBundleList と
>入力すると、インストールしたいプラグイン名が表示されます。
エラーの詳しい内容を教えてください。
コピペまたはスクリーンショットをお願いします。

本筋からそれますが、添付ファイルの
filetype plugin indent off		"for vundle
filetype plugin indent on "for vundle ************** 2015/06/02
6行目と19行目は不要ですね。
Message has been deleted

Kenichi Ito

unread,
Jun 7, 2015, 10:24:20 AM6/7/15
to vim...@googlegroups.com
ちなみに、エラーの内容は ":messages" コマンドで見ることができます。

参照: http://vim-jp.org/vimdoc-ja/message.html

tora

unread,
Jun 7, 2015, 10:25:56 AM6/7/15
to vim...@googlegroups.com
どうも私の手には負えないとおもいましたので、
すべてを最初からやり直しました。

1. Git for windows をインストールする
2. git.exe があるディレクトリ(c:\User\tora\AppData\Local\Programs\Git\cmd) に
pathを設定する。
3. vim(香り屋版)をインストールする。
4. 私のPC内にneobundle用のディレクトリを作る (これが
Github のローカルリポジトリとなる
5. dos プロンプトから 4で作成したディレクトリに入り、
git clone https://github.com/Shougo/neobundle.vim ./neobundle.vim
を実行する
6. _vimrc にneobundleの設定を記入する
練習として、FavMenu.vimをインストールするため
NeoBundle 'vim-scripts/FavMenu.vim' の記述を入れた。
7. vim を再起動する
bundleをインストールするかとのダイアログには「はい」で答えると

[neobundle Install]......(赤字) とのメッセージが出て、

[neobundle/install] Installed/Updated bundles:
FavMenu.vim
続けるにはENTERを押すかコマンドを入力してください となる。
ENTERをいれると、vimが正常に起動した。

Git for windowsとvimのインストールをやり直した結果、以上の経過と
なりました。これでneobundle は使えるようになったのでしょうか。
(FavMenu.vim はvim のメニュー項目にFavourites を表示するので、
これもでていますので、FavMenu.vim も neobundle を使って導入
したことになったのでしょうか。



2015年6月3日水曜日 21時04分31秒 UTC+9 Kenichi Ito:

Kenichi Ito

unread,
Jun 7, 2015, 10:30:35 AM6/7/15
to vim...@googlegroups.com
Vimを再起動してもエラーなどが出なければ正常に導入できていると思われます。

2015年6月7日日曜日 23時25分56秒 UTC+9 tora:

Horino Morikatsu

unread,
Jun 8, 2015, 1:58:29 AM6/8/15
to vim...@googlegroups.com
私にとっては何が原因でうまくできなかったか、分からないの
ですが、この状態で他のプラグインを導入して、様子を見てみます。
(たぶん vim用のローカルリポジトリ のpathの設定が間違っていた
のかな? )

何度もご応答いただき感謝いたします。


>On Sun, 7 Jun 2015 07:30:35 -0700 (PDT)
>Kenichi Ito <ken....@gmail.com> wrote:

> Vimを再起動してもエラーなどが出なければ正常に導入できていると思われます。
>

------
堀野 守克 (JG1DVF)
Mail : fsbfg170.ybb.ne.jp
Reply all
Reply to author
Forward
0 new messages